<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
      if ( !loggedIn() ) { echo $L_003; }
      else
      {
        // Content Begin
          foreach ($_POST as $key => $value)
          {
            if (get_magic_quotes_gpc()) $$key = stripslashes($value);
            else $$key = $value;
          }

          if (!isset($_POST['SetupAllowDoubleDates'])) { $SetupAllowDoubleDates=0; }
          if (!isset($_POST['SetupShowEditorInAddGigForm'])) { $SetupShowEditorInAddGigForm=0; }
          if (!isset($_POST['SetupFrontendCalendarShowMonthlySeparator'])) { $SetupFrontendCalendarShowMonthlySeparator=0; }
          if (!isset($_POST['SetupFrontendCalendarShowTableHeads'])) { $SetupFrontendCalendarShowTableHeads=0; }
          if (!isset($_POST['FrontendAllowOptionalGigs'])) { $FrontendAllowOptionalGigs=0; }
          if (!isset($_POST['FrontendAllowPrivateGigs'])) { $FrontendAllowPrivateGigs=0; }
          if (!isset($_POST['SetupFrontendCalendarCurrentMonthShowPastGigs'])) { $SetupFrontendCalendarCurrentMonthShowPastGigs=0; }
          if (!isset($_POST['SetupFrontendCalendarGigDetailsShowEmptyAttributes'])) { $SetupFrontendCalendarGigDetailsShowEmptyAttributes=0; }
          
          // HTML- und PHP-Tags entfernen
          $SetupCalendarAttributeInAddGigForm  = strip_tags($SetupCalendarAttributeInAddGigForm);
          $RowsTextareas = strip_tags($RowsTextareas);
          $SetupFrontendCalendarCharsInFields = strip_tags($SetupFrontendCalendarCharsInFields);
          $SetupFrontendCalendarMaxAmountOfGigs = strip_tags($SetupFrontendCalendarMaxAmountOfGigs);
          $SetupFrontendCalendarMaxAmountOfGigsPast = strip_tags($SetupFrontendCalendarMaxAmountOfGigsPast);
          $SetupFrontendCalendarDateFormat = strip_tags($SetupFrontendCalendarDateFormat);
          $SetupFrontendCalendarGigDetailsDateFormat = strip_tags($SetupFrontendCalendarGigDetailsDateFormat);
          $SetupFrontendCalendarCurrentMonthLimitFuture = strip_tags($SetupFrontendCalendarCurrentMonthLimitFuture);
          $SetupFrontendCalendarCurrentMonthLimitPast = strip_tags($SetupFrontendCalendarCurrentMonthLimitPast);
          $SetupFrontendCalendarURL = strip_tags($SetupFrontendCalendarURL);
          $SetupFrontendCalendarGigDetailsURL = strip_tags($SetupFrontendCalendarGigDetailsURL);
          $SetupFrontendCalendarCurrentMonthURL = strip_tags($SetupFrontendCalendarCurrentMonthURL);
          $SetupFrontendAttributes  = strip_tags($SetupFrontendAttributes);
          $SetupFrontendDetailAttributes  = strip_tags($SetupFrontendDetailAttributes);
          
        	 if ( editSetupCalendar ( $SetupAllowDoubleDates,
                            $SetupCalendarAttributeInAddGigForm,
                            $SetupShowEditorInAddGigForm,
                            $RowsTextareas,
                            $SetupFrontendCalendarShowMonthlySeparator,
                            $SetupFrontendCalendarShowTableHeads,
                            $FrontendAllowOptionalGigs,
                            $FrontendAllowPrivateGigs,
                            $SetupFrontendCalendarCurrentMonthShowPastGigs,
                            $SetupFrontendCalendarGigDetailsShowEmptyAttributes,
                            $SetupFrontendCalendarSelector,
                            $SetupFrontendFirstDayOfWeek,
                            $SetupFrontendCalendarPeriodSelector,
                            $SetupFrontendCalendarCharsInFields,
                            $SetupFrontendCalendarMaxAmountOfGigs,
                            $SetupFrontendCalendarMaxAmountOfGigsPast,
                            $SetupFrontendCalendarDateFormat,
                            $SetupFrontendCalendarGigDetailsDateFormat,
                            $SetupFrontendCalendarCurrentMonthLimitFuture,
                            $SetupFrontendCalendarCurrentMonthLimitPast,
                            $SetupFrontendCalendarURL,
                            $SetupFrontendCalendarGigDetailsURL,
                            $SetupFrontendCalendarCurrentMonthURL,
                            $SetupFrontendAttributes,
                            $SetupFrontendDetailAttributes))
      	 {
        	   echo $L_057.'<br />';
      	 }
      	 else
      	 {
        	   echo $L_058.'<br />';
      	 }
        // Inhalt zuende
      }
    ?>